Get a consumer
GET
/consumers Retrieve the details of the logged-in Consumer.
Request
No request parametersThis endpoint doesn’t accept query parameters or a request body.
Responses
200OK
Success
Headers
Body
application/json
ConsumerConsumer · object · 11 fields
Response example
{ "id": { "type": "CONSUMER", "id": "string" }, "profileId": "string", "tag": "string", "rootUser": { "id": { "type": "CONSUMER", "id": "string" }, "name": "string", "surname": "string", "email": "string", "mobile": { "countryCode": "string", "number": "string" }, "occupation": "ACCOUNTING", "active": true, "emailVerified": true, "mobileNumberVerified": true, "dateOfBirth": { "year": 0, "month": 0, "day": 0 }, "address": { "addressLine1": "string", "addressLine2": "string", "city": "string", "postCode": "string", "state": "string", "country": "string" }, "nationality": "string", "placeOfBirth": "string", "tag": "string", "locale": "en-GB", "brand": "string" }, "creationTimestamp": 0, "ipAddress": "string", "acceptedTerms": true, "baseCurrency": "string", "feeGroup": "string", "sourceOfFunds": "PERSONAL_SAVINGS", "sourceOfFundsOther": "string"}